These are chat archives for highfidelity/hifi

19th
Sep 2017
Matti Lahtinen
@Menithal
Sep 19 2017 17:31
is there a FAQ for linux servers? because I swear Ive seen QSslSocket: cannot call unresolved function <function here> solved before, and trying to find the solution to it
Windows had it just transfer the openssl dlls, but not sure what should I do on Debian
Basically, trying to get my old domain back up and running but this time using Linux.
Clément Brisset
@Atlante45
Sep 19 2017 18:30
What version of openSSL do you have installed, and what is CMake finding?
Matti Lahtinen
@Menithal
Sep 19 2017 18:53
am using 1.1.0f
got it running somewhat after installing libssl1.0-dev, which was 1.0.2l-2
but some users are not able to connect while others are and still have the QSslSocket: cannot call unresolved functio
Clément Brisset
@Atlante45
Sep 19 2017 18:54
Yes, that's why. We're not compatible with 1.1
The latest 1.0 will do.
Uhhh, it depends on the users?
Matti Lahtinen
@Menithal
Sep 19 2017 18:55
yep
in anycase, if 1.0, I suggest updating build notes OpenSSL: Use the latest available version of OpenSSL to avoid security vulnerabilities.
Clément Brisset
@Atlante45
Sep 19 2017 18:56
Argh, that's supposed to be "the latest 1.0", will update.
Make sure to do a clean CMake and verify that Cmake picks up the right version.
Matti Lahtinen
@Menithal
Sep 19 2017 19:04
forgot to do that, will check if that helps
Clément Brisset
@Atlante45
Sep 19 2017 19:04
Yeah, if you don't clean CMake it'll stay pointed to the other version.
Matti Lahtinen
@Menithal
Sep 19 2017 19:50
hmm the errors went away, but still had issues with some users connecting :(
oh well, need to look into it tommorrow
Christoph Haag
@ChristophHaag
Sep 19 2017 20:21
speaking of linux, nobody interested in OpenVR on linux? I think highfidelity/hifi#11318 should be mostly okay.
also this segfault highfidelity/hifi#11217